"""
Module for Benchmark functions
"""
#                                                                       Modules
# =============================================================================

# Local
from .._src.datageneration.functions import (FUNCTIONS, FUNCTIONS_2D,
                                             FUNCTIONS_7D, get_functions)
from .._src.datageneration.functions.alias import (ackley, ackleyn2, ackleyn3,
                                                   ackleyn4, adjiman, bartels,
                                                   beale, bird, bohachevskyn1,
                                                   bohachevskyn2,
                                                   bohachevskyn3, booth,
                                                   branin, brent, brown,
                                                   bukinn6, colville,
                                                   crossintray, deckkersaarts,
                                                   dejongn5, dixonprice,
                                                   dropwave, easom, eggcrate,
                                                   eggholder, exponential,
                                                   goldsteinprice, griewank,
                                                   happycat, himmelblau,
                                                   holdertable, keane,
                                                   langermann, leon, levy,
                                                   levyn13, matyas, mccormick,
                                                   michalewicz, periodic,
                                                   powell, qing, quartic,
                                                   rastrigin, ridge,
                                                   rosenbrock,
                                                   rotatedhyperellipsoid,
                                                   salomon, schaffeln1,
                                                   schaffeln2, schaffeln3,
                                                   schaffeln4, schwefel,
                                                   schwefel2_20, schwefel2_21,
                                                   schwefel2_22, schwefel2_23,
                                                   shekel, shubert, shubertn3,
                                                   shubertn4, sphere,
                                                   styblinskitang, sumsquares,
                                                   thevenot, threehump, trid,
                                                   wolfe, xin_she_yang,
                                                   xin_she_yang2,
                                                   xin_she_yang3,
                                                   xin_she_yang4, zakharov)

#                                                          Authorship & Credits
# =============================================================================
__author__ = 'Martin van der Schelling (M.P.vanderSchelling@tudelft.nl)'
__credits__ = ['Martin van der Schelling']
__status__ = 'Stable'
# =============================================================================
#
# =============================================================================

__all__ = [
    'FUNCTIONS',
    'FUNCTIONS_2D',
    'FUNCTIONS_7D',
    'get_functions',
    'ackley',
    'ackleyn2',
    'ackleyn3',
    'ackleyn4',
    'adjiman',
    'bartels',
    'beale',
    'bird',
    'bohachevskyn1',
    'bohachevskyn2',
    'bohachevskyn3',
    'booth',
    'branin',
    'brent',
    'brown',
    'bukinn6',
    'colville',
    'crossintray',
    'deckkersaarts',
    'dejongn5',
    'dixonprice',
    'dropwave',
    'easom',
    'eggcrate',
    'eggholder',
    'exponential',
    'goldsteinprice',
    'griewank',
    'happycat',
    'himmelblau',
    'holdertable',
    'keane',
    'langermann',
    'leon',
    'levy',
    'levyn13',
    'matyas',
    'mccormick',
    'michalewicz',
    'periodic',
    'powell',
    'qing',
    'quartic',
    'rastrigin',
    'ridge',
    'rosenbrock',
    'rotatedhyperellipsoid',
    'salomon',
    'schaffeln1',
    'schaffeln2',
    'schaffeln3',
    'schaffeln4',
    'schwefel',
    'schwefel2_20',
    'schwefel2_21',
    'schwefel2_22',
    'schwefel2_23',
    'shekel',
    'shubert',
    'shubertn3',
    'shubertn4',
    'sphere',
    'styblinskitang',
    'sumsquares',
    'thevenot',
    'threehump',
    'trid',
    'wolfe',
    'xin_she_yang',
    'xin_she_yang2',
    'xin_she_yang3',
    'xin_she_yang4',
    'zakharov',
]
